<?php
// Establecer el tipo de contenido

header('Content-Type: image/png');

// El texto a dibujar
$texto = $_GET['text'];
// El tamaño
$size = $_GET['size'];
// El ancho de la imágen
$width = $_GET['width'];


// Crear la imagen
$im = imagecreatetruecolor($width, $size+5);

// Crear algunos colores
$blanco = imagecolorallocate($im, 255, 255, 255);
$gris = imagecolorallocate($im, 128, 128, 128);
$negro = imagecolorallocate($im, 0, 0, 0);
imagefilledrectangle($im, 0, 0, $width-1, $size+4, $blanco);

// Reemplace la ruta por la de su propia fuente
$fuente = './digital-7.ttf';


// Añadir algo de sombra al texto
imagettftext($im, $size, 0, ($size/2)+1, $size+1, $gris, $fuente, $texto);

// Añadir el texto
imagettftext($im, $size, 0, ($size/2), $size, $negro, $fuente, $texto);

// Usar imagepng() resultará en un texto más claro comparado con imagejpeg()
imagepng($im);
imagedestroy($im);
?>
